@echo off

rem Called by sac.exe (SpamAssassin Caller) with:
rem   InputEmail OutputEmail PortNumber MaxSize PreferencRoot [ -u dirspec ]
rem   %1         %2          %3         %4      %5              %6 %7

spamc -p %3 -s %4 %6 %7 < %1 > %2
if NOT ERRORLEVEL 2 goto :done

daterc
call spamd -p %3 --virtual-config-dir=%5 -x -s %5\spool\sd0%ERRORLEVEL%.log
sleep 10

spamc -p %3 -s %4 %6 %7 < %1 > %2

:done
echo rc=%ERRORLEVEL%
exit(%ERRORLEVEL%)
